package com.th.demo.model.ware;

import com.th.demo.model.maint.Customer;
import com.th.demo.model.maint.Material;
import com.th.demo.model.maint.Stack;
import com.th.demo.model.maint.Ware;
import com.th.demo.model.system.SysUser;

import java.util.Date;

public class Store  implements Comparable<Store>{
    private String id;

    private Ware ware;

    private Stack stack;

    private Integer layer;

    private Material material;

    private String model;

    private Customer customer;

    private Double count;

    private Double weight;

    private String remark;

    private String addId;

    private Date addTime;

    private String modifyId;

    private Date modifyTime;

    private String cancelId;

    private Date cancelTime;

    private String cancelFlag;

    private String belongId;

    private String plateNo;

    private String inId;

    private String outId;

    private String receiveAddress;

    private String outFlag;

    private String lockFlag;

    private String wgtDcnMtcCd;

    private String edgeTy;

    private String productionPlace;

    private String ordNo;

    private SysUser addUser;

    private String carNo;

    private String tallyPeople;

    private String fkComponyId ;

    private Double invoicePrice;

    private String packNo; //捆包号

    private String contractNo; // 合约号

    //一下字段为备用字段
    private String attrib01;
    private String attrib02;
    private String attrib03;
    private String attrib04;
    private String attrib05;
    private String attrib06;
    private String attrib07;
    private String attrib08;
    private String attrib09;
    private String attrib10;
    private double changeCount; // 合约号

    private String fkCustomerName;

    private double keepDay;
    private double ordPrice;
    private double outOrdPrice;

    private double inwareDay; //在库时间

    private String payWay;


    public Double getInvoicePrice() {
        return invoicePrice;
    }

    public void setInvoicePrice(Double invoicePrice) {
        this.invoicePrice = invoicePrice;
    }

    public String getFkComponyId() {
        return fkComponyId;
    }

    public void setFkComponyId(String fkComponyId) {
        this.fkComponyId = fkComponyId;
    }

    public String getTallyPeople() {
        return tallyPeople;
    }

    public void setTallyPeople(String tallyPeople) {
        this.tallyPeople = tallyPeople;
    }

    public String getCarNo() {
        return carNo;
    }

    public void setCarNo(String carNo) {
        this.carNo = carNo;
    }

    public SysUser getAddUser() {
        return addUser;
    }

    public void setAddUser(SysUser addUser) {
        this.addUser = addUser;
    }

    public String getOrdNo() {
        return ordNo;
    }

    public void setOrdNo(String ordNo) {
        this.ordNo = ordNo;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id == null ? null : id.trim();
    }

//    public String getWareName() {
//        return wareName;
//    }
//

    public String getWgtDcnMtcCd() {
        return wgtDcnMtcCd;
    }

    public void setWgtDcnMtcCd(String wgtDcnMtcCd) {
        this.wgtDcnMtcCd = wgtDcnMtcCd;
    }

    public String getEdgeTy() {
        return edgeTy;
    }

    public void setEdgeTy(String edgeTy) {
        this.edgeTy = edgeTy;
    }

    public String getProductionPlace() {
        return productionPlace;
    }

    public void setProductionPlace(String productionPlace) {
        this.productionPlace = productionPlace;
    }

//    public void setWareName(String wareName) {
//        this.wareName = wareName == null ? null : wareName.trim();
//    }
//
//    public String getStackName() {
//        return stackName;
//    }
//
//    public void setStackName(String stackName) {
//        this.stackName = stackName == null ? null : stackName.trim();
//    }

    public Integer getLayer() {
        return layer;
    }

    public void setLayer(Integer layer) {
        this.layer = layer;
    }

//    public String getMaterialName() {
//        return materialName;
//    }
//
//    public void setMaterialName(String materialName) {
//        this.materialName = materialName == null ? null : materialName.trim();
//    }
//
//    public String getMaterialNo() {
//        return materialNo;
//    }
//
//    public void setMaterialNo(String materialNo) {
//        this.materialNo = materialNo == null ? null : materialNo.trim();
//    }
//
//    public String getStandard() {
//        return standard;
//    }
//
//    public void setStandard(String standard) {
//        this.standard = standard == null ? null : standard.trim();
//    }

    public String getModel() {
        return model;
    }

    public void setModel(String model) {
        this.model = model == null ? null : model.trim();
    }

//    public String getCustomerName() {
//        return customerName;
//    }
//
//    public void setCustomerName(String customerName) {
//        this.customerName = customerName == null ? null : customerName.trim();
//    }

//    public String getCustomerNo() {
//        return customerNo;
//    }
//
//    public void setCustomerNo(String customerNo) {
//        this.customerNo = customerNo == null ? null : customerNo.trim();
//    }

    public Double getCount() {
        return count;
    }

    public void setCount(Double count) {
        this.count = count;
    }

    public Double getWeight() {
        return weight;
    }

    public void setWeight(Double weight) {
        this.weight = weight;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark == null ? null : remark.trim();
    }

    public String getAddId() {
        return addId;
    }

    public void setAddId(String addId) {
        this.addId = addId == null ? null : addId.trim();
    }

    public Date getAddTime() {
        return addTime;
    }

    public void setAddTime(Date addTime) {
        this.addTime = addTime;
    }

    public String getModifyId() {
        return modifyId;
    }

    public void setModifyId(String modifyId) {
        this.modifyId = modifyId == null ? null : modifyId.trim();
    }

    public Date getModifyTime() {
        return modifyTime;
    }

    public void setModifyTime(Date modifyTime) {
        this.modifyTime = modifyTime;
    }

    public String getCancelId() {
        return cancelId;
    }

    public void setCancelId(String cancelId) {
        this.cancelId = cancelId == null ? null : cancelId.trim();
    }

    public Date getCancelTime() {
        return cancelTime;
    }

    public void setCancelTime(Date cancelTime) {
        this.cancelTime = cancelTime;
    }

    public String getCancelFlag() {
        return cancelFlag;
    }

    public void setCancelFlag(String cancelFlag) {
        this.cancelFlag = cancelFlag == null ? null : cancelFlag.trim();
    }

    public String getBelongId() {
        return belongId;
    }

    public void setBelongId(String belongId) {
        this.belongId = belongId == null ? null : belongId.trim();
    }

    public String getPlateNo() {
        return plateNo;
    }

    public void setPlateNo(String plateNo) {
        this.plateNo = plateNo == null ? null : plateNo.trim();
    }

    public String getInId() {
        return inId;
    }

    public void setInId(String inId) {
        this.inId = inId == null ? null : inId.trim();
    }

    public String getOutId() {
        return outId;
    }

    public void setOutId(String outId) {
        this.outId = outId == null ? null : outId.trim();
    }

    public String getReceiveAddress() {
        return receiveAddress;
    }

    public void setReceiveAddress(String receiveAddress) {
        this.receiveAddress = receiveAddress == null ? null : receiveAddress.trim();
    }

    public String getOutFlag() {
        return outFlag;
    }

    public void setOutFlag(String outFlag) {
        this.outFlag = outFlag;
    }

    public String getLockFlag() {
        return lockFlag;
    }

    public void setLockFlag(String lockFlag) {
        this.lockFlag = lockFlag;
    }

    public Ware getWare() {
        return ware;
    }

    public void setWare(Ware ware) {
        this.ware = ware;
    }

    public Stack getStack() {
        return stack;
    }

    public void setStack(Stack stack) {
        this.stack = stack;
    }

    public Material getMaterial() {
        return material;
    }

    public void setMaterial(Material material) {
        this.material = material;
    }

    public Customer getCustomer() {
        return customer;
    }

    public void setCustomer(Customer customer) {
        this.customer = customer;
    }

    public String getPackNo() {
        return packNo;
    }

    public void setPackNo(String packNo) {
        this.packNo = packNo;
    }

    public String getContractNo() {
        return contractNo;
    }

    public void setContractNo(String contractNo) {
        this.contractNo = contractNo;
    }

    public String getAttrib01() {
        return attrib01;
    }

    public void setAttrib01(String attrib01) {
        this.attrib01 = attrib01;
    }

    public String getAttrib02() {
        return attrib02;
    }

    public void setAttrib02(String attrib02) {
        this.attrib02 = attrib02;
    }

    public String getAttrib03() {
        return attrib03;
    }

    public void setAttrib03(String attrib03) {
        this.attrib03 = attrib03;
    }

    public String getAttrib04() {
        return attrib04;
    }

    public void setAttrib04(String attrib04) {
        this.attrib04 = attrib04;
    }

    public String getAttrib05() {
        return attrib05;
    }

    public void setAttrib05(String attrib05) {
        this.attrib05 = attrib05;
    }

    public String getAttrib06() {
        return attrib06;
    }

    public void setAttrib06(String attrib06) {
        this.attrib06 = attrib06;
    }

    public String getAttrib07() {
        return attrib07;
    }

    public void setAttrib07(String attrib07) {
        this.attrib07 = attrib07;
    }

    public String getAttrib08() {
        return attrib08;
    }

    public void setAttrib08(String attrib08) {
        this.attrib08 = attrib08;
    }

    public String getAttrib09() {
        return attrib09;
    }

    public void setAttrib09(String attrib09) {
        this.attrib09 = attrib09;
    }

    public String getAttrib10() {
        return attrib10;
    }

    public void setAttrib10(String attrib10) {
        this.attrib10 = attrib10;
    }

    public double getKeepDay() {
        return keepDay;
    }

    public void setKeepDay(double keepDay) {
        this.keepDay = keepDay;
    }

    public double getOrdPrice() {
        return ordPrice;
    }

    public void setOrdPrice(double ordPrice) {
        this.ordPrice = ordPrice;
    }

    public double getOutOrdPrice() {
        return outOrdPrice;
    }

    public void setOutOrdPrice(double outOrdPrice) {
        this.outOrdPrice = outOrdPrice;
    }

    public String getFkCustomerName() {
        return fkCustomerName;
    }

    public void setFkCustomerName(String fkCustomerName) {
        this.fkCustomerName = fkCustomerName;
    }

    public double getInwareDay() {
        return inwareDay;
    }

    public void setInwareDay(double inwareDay) {
        this.inwareDay = inwareDay;
    }

    public String getPayWay() {
        return payWay;
    }

    public void setPayWay(String payWay) {
        this.payWay = payWay;
    }

    public double getChangeCount() {
        return changeCount;
    }

    public void setChangeCount(double changeCount) {
        this.changeCount = changeCount;
    }

    @Override
    public int compareTo(Store o) {
        if (this.layer > o.getLayer()) {
            return 1;
        } else {
            return -1;
        }
    }
}